Bug 753649

Summary: preupgrade installs i686 package on upgrade from fedora 15 to 16
Product: [Fedora] Fedora Reporter: sokini.chan
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: dave, hughsient, sokini.chan
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-20 16:28:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
gdm log none

Description sokini.chan 2011-11-13 19:04:48 EST
Created attachment 533414 [details]
gdm log

When upgrading from Fedora 15 to Fedora 16 on a x86_64 system, preupgrade installs caribou.i686 in place of caribou.x86_64. One has to fix that himself, by logging in a console and uninstalling the reinstalling caribou.


Preupgrade 1.1.10 / Yum 3.4.3


You can reproduce this bug easily, just try to upgrade from fedora 15 to fedora 16 on a x86_64 machine and the bug will show up on next reboot (as gdm showing the "something went wrong" screen)


Attached is the interresting part of my /var/log/gdm/:0-greeter.log.1
Comment 1 Dave Ludlow 2011-11-20 16:25:00 EST
This bug just bit me too, though I did a normal upgrade, not a preupgrade.
caribou-0.4.1-1
Comment 2 Dave Ludlow 2011-11-20 16:28:40 EST

*** This bug has been marked as a duplicate of bug 739130 ***